# loading

* 作者：hjingfen
* 邮箱：hjingfen@gmail.com
* 版本：**`0.3.1`**

## 介绍

_组件描述内容_

---

## 安装

`lm-*` 组件使用 `npm` 进行管理，命名空间统一为 `lm-`，请使用以下命令进行组件安装。

```
npm i lm-loading --save
```

- 如果你还没有安装 `npm`，可通过以下方式进行 [安装](https://nodejs.org/en/download/)。
- 安装cnpm `npm install -g cnpm --registry=https://registry.npm.taobao.org`

---

## 使用

### 样例文档

- 待开发

### 使用
最少配置参数为：
- 传入`isShow`确定是否隐藏loading

```
  <Loading isShow={true} />

```
### 配置参数

| Prop | Type | Default | Description |
| ---- |:----:|:-------:| :----------:|
| **`content`** | `string` | `undefined` | 提示内容 |
| **`isShow`** | `boolean` | `false` | 是否显示loading |
| **`opacity`** | `number` | `0` | 蒙层透明度 |
| **`className`** | `string` | `undefined` | 自定义样式 |

---

## 注意事项

- 组件注意事项

---

## 开发调试

进入项目目录后，使用 `node` 命令启动服务

```
npm run start
```

打包发布可通过 `node` 命令执行

```
npm run build
npm publish
```

---

## 相关资料

* [lm 组件开发规范](http://)

---

## Changelog

### 0.1.0
1. init
### 0.1.1
1. change loading icon from image to base64
2.change props isHide to isShow
### 0.1.2
1.change readme isShow
### 0.1.3
1.add max-width for lm-loading-body
### 0.1.4
1.add opacity props
### 0.1.5
1.replace customClass property with className
### 0.1.7
1.change loading picture


### 0.2.3
1. update to react16 and remove unnecessary import

### 0.3.1
1.add typescript declaration file
---
